{
  "id": "1947531036271337474",
  "tpl": {
    "dir": "",
    "filename": "",
    "content": "<%\nvar entityName = toCamelCase(isBlank(prefix) ? table.name : subAfter(table.name, prefix));\nvar controllerClass = upperFirst(entityName) + \"Controller\";\nvar entityClass = upperFirst(entityName) + \"Entity\";\nvar entityInstance = entityName + \"Entity\";\nvar serviceClass = upperFirst(entityName) + \"Service\";\nvar serviceInstance = entityName + \"Service\";\nvar baseUrl = entityName + \"Service\";\n%>\npackage ${basePackage}.entity;\n\nimport lombok.Getter;\nimport lombok.Setter;\nimport lombok.experimental.Accessors;\nimport com.baomidou.mybatisplus.annotation.*;\nimport lombok.ToString;\n<%for(column in table.columns) {\n    var map = sqlDataTypeMap(column.dataType);\n%>\n<%if(!isBlank(map.importStatement)){%>\n${map.importStatement}\n<%}%>\n<%}%>\n\n/**\n * ${table.comment}\n */\n@Getter\n@Setter\n@ToString\n@Accessors(chain = true)\n@TableName(\"${table.name}\")\npublic class ${entityClass} {\n\n<%\nfor(column in table.columns){\n    var map = sqlDataTypeMap(column.dataType);\n%>\n    /**\n     * ${column.comment}\n     */\n    <%if(column.primaryKey){%>\n    @TableId(type = IdType.ASSIGN_ID)\n    <%}%>\n    <%if(column.name == \"creator_id\" || column.name == \"create_time\"){%>\n    @TableId(type = IdType.ASSIGN_ID)\n    <%}else if(column.name == \"modifier_id\" || column.name == \"modify_time\"){%>\n    @TableField(fill = FieldFill.INSERT_UPDATE)\n    <%}else if(column.name == \"deleted\"){%>\n    @TableLogic\n    <%}%>\n    private ${map.dataType} ${toCamelCase(column.name)};\n\n<%}%>\n}\n"
  }
}
